Bug 467898 - fop can't load TIFF images
fop can't load TIFF images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fop (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Omair Majid
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 12:03 EDT by Thomas Moschny
Modified: 2009-11-11 16:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:31:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Moschny 2008-10-21 12:03:19 EDT
Description of problem:
FOP can't load TIFF images, and fails with this exception:

Oct 21, 2008 5:53:40 PM org.apache.fop.render.pdf.PDFRenderer putImage
SEVERE: Error while processing image: images/some.tiff (image/tiff)
org.apache.xmlgraphics.image.loader.ImageException: Cannot load image (no suitable loader/converter combination available) for images/some.tiff (image/tiff)
	at org.apache.xmlgraphics.image.loader.ImageManager.getImage(ImageManager.java:248)
	at org.apache.fop.render.pdf.PDFRenderer.putImage(PDFRenderer.java:1733)
[...]

The reason seems to be that fop-0.95 beta relies on jai-imageio for decoding tiff images, which fedora doesn't (seem to) have.

If one puts jai_imageio.jar on the CLASSPATH before calling fop, the image is loaded.

Version-Release number of selected component (if applicable):
fop-0.95-0.2.beta1.noarch
Comment 1 Omair Majid 2009-01-16 16:09:07 EST
Hi Thomas,

Thanks for reporting the bug. I can confirm the issue and the fix. However, jai-imageio has some licensing and legal issues [1], so it hasnt been added to fedora.

[1] https://www.redhat.com/archives/fedora-legal-list/2008-December/msg00003.html
Comment 2 Thomas Moschny 2009-02-04 12:49:25 EST
(In reply to comment #1)
> Thanks for reporting the bug. I can confirm the issue and the fix. However,
> jai-imageio has some licensing and legal issues [1], so it hasnt been added to
> fedora.
> 
> [1]
> https://www.redhat.com/archives/fedora-legal-list/2008-December/msg00003.html

This thread seems to indicate though that it could be added to Fedora given jj2000 is stripped.
Comment 3 Lillian Angel 2009-02-08 06:15:07 EST
Omair, can you look at this?
Comment 4 Bug Zapper 2009-06-09 23:02:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:31:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Adam Goode 2009-11-11 16:16:40 EST
This should help:

https://bugzilla.redhat.com/show_bug.cgi?id=536944

Note You need to log in before you can comment on or make changes to this bug.